cereal::BinaryInputArchive Class Reference

An input archive designed to load data saved using BinaryOutputArchive. More...

`#include </build/libcereal-1YEeuZ/libcereal-1.3.0/include/cereal/archives/binary.hpp>`

Inheritance diagram for cereal::BinaryInputArchive:

## Public Member Functions

| BinaryInputArchive (std::istream &stream)
| Construct, loading from the provided stream.
void | loadBinary (void *const data, std::streamsize size)
| Reads size bytes of data from the input stream.
Public Member Functions inherited from cereal::InputArchive< BinaryInputArchive, AllowEmptyClassElision >
| InputArchive (BinaryInputArchive *const derived)
| Construct the output archive. More...
InputArchive & | operator= (InputArchive const &)=delete
BinaryInputArchive & | operator() (Types &&... args)
| Serializes all passed in data. More...
void | serializeDeferments ()
| Serializes any data marked for deferment using defer. More...
std::shared_ptr< void > | getSharedPointer (std::uint32_t const id)
| Retrieves a shared pointer given a unique key for it. More...
void | registerSharedPointer (std::uint32_t const id, std::shared_ptr< void > ptr)
| Registers a shared pointer to its unique identifier. More...
std::string | getPolymorphicName (std::uint32_t const id)
| Retrieves the string for a polymorphic type given a unique key for it. More...
void | registerPolymorphicName (std::uint32_t const id, std::string const &name)
| Registers a polymorphic name string to its unique identifier. More...
BinaryInputArchive & | operator& (T &&arg)
| Serializes passed in data. More...
BinaryInputArchive & | operator>> (T &&arg)
| Serializes passed in data. More...
Public Member Functions inherited from cereal::detail::InputArchiveBase
| InputArchiveBase (InputArchiveBase &&) CEREAL_NOEXCEPT
InputArchiveBase & | operator= (InputArchiveBase &&) CEREAL_NOEXCEPT

## Additional Inherited Members

Public Types inherited from cereal::InputArchive< BinaryInputArchive, AllowEmptyClassElision >
using | is_loading = std::true_type
| Indicates this archive is intended for loading. More...
using | is_saving = std::false_type
| Indicates this archive is not intended for saving. More...

## Detailed Description

An input archive designed to load data saved using BinaryOutputArchive.

The documentation for this class was generated from the following file:

- /build/libcereal-1YEeuZ/libcereal-1.3.0/include/cereal/archives/binary.hpp